<?php
/**************************************************\
* APP-Link zum Shop von GiePa - Lizenzverlngerung *
\**************************************************/

// Revision Einpflegung		: 2096
// Revision letzte Pflege	: 7684
// Author letzte Pflege		: DR

include_once("definitions.inc");

$language		= $_GET['lang'];
$licenseType	= $_GET['licenseType'];

$qty = $_GET['qty']; // Menge der Lizenzverlngerungen. Default = 1
$length = $_GET['length']; // Anzahl der Jahre, wie lange die Lizenz verlngert werden soll. Default = 1
$licenseID = $_GET['licenseID']; // Die Lizenz-ID des Benutzers

if (!is_numeric($qty) || (int)$qty < 1) // Gltige Werte
	$qty = "1"; // Default-Wert

$productID = 4;
switch($licenseType)
{
	case 0: // Professional
	{
		switch($length)
		{
			case "1":
				$productID = 4;
				break;
			case "3":
				$productID = 5;
				break;
			case "5":
				$productID = 6;
				break;
		}
		break;
	}
	case 3: // H&S
	{
		switch($length)
		{
			case "1":
				$productID = 22;
				break;
			case "3":
				$productID = 23;
				break;
			case "5":
				$productID = 24;
				break;
		}
		break;
	}
	case 4:
	{
		$productID = 21; // H&S Hauptprodukt
		break;
	}
}

if ($language == 'de')
{
	$refreshUrl = "http://shop.giepa.de/?page=cart&action=add_product&product={$productID}&qty={$qty}&licenseID={$licenseID}&language=de";
	header("Refresh: 0; URL=$refreshUrl");
	include("de/redirect.inc");
}
else/* if($language == 'en')*/ // Englisch ist Standard, muss also nicht explizit abgefragt werden
{
	$refreshUrl = "http://shop.giepa.de/?page=cart&action=add_product&product={$productID}&qty={$qty}&licenseID={$licenseID}&language=en";
	header("Refresh: 0; URL=$refreshUrl");
	include("en/redirect.inc");
}

// End of File giepa-shop-licenserenewal.php
